05Robot 3.0

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
boundingBoxInfo Struct Reference
Eyetracker module

The structure stores descriptors of mouse cursor trace. More...

`#include <ceyetrackerfilter.h>`

## Public Attributes
QRect | region
| Bounding box of mouse cursor trace. More...
int64_t | delta_t
| Trace duration in (ms) More...
int | isMonotonicX
| 0 - the X coordinates were not monotonic in horizontal direction, -1 - monotonically decreasing in horizontal direction, 1 - monotonically increasing (the maximum deviation from horizontal line is determined by cEyeTrackerFilter::tangential_coefs) More...
int | isMonotonicY
| 0 - the Y coordinates were not monotonic in vertical direction, -1 - monotonically decreasing in horizontal direction, 1 - monotonically increasing More...
bool | gazeDetection
| The field informs whether the trajectory is restricted by bounding box of size smaller than property cEyeTrackerFilter::gaze_tolerance. More...
QVector< sMousePos > | trace
| Mouse cursor trace, used only for debugging purposes. More...

## Detailed Description

The structure stores descriptors of mouse cursor trace.

The structure is returned by cEyeTrackerFilter::boundingBox function, and is used by cEyeTrackerFilter::atomGesturesClassifier routine

See also
  cEyeTrackerFilter::boundingBox
  cEyeTrackerFilter::tangential_coefs
  cEyeTrackerFilter::gaze_tolerance

## Member Data Documentation

int64_t delta_t

Trace duration in (ms)

bool gazeDetection

The field informs whether the trajectory is restricted by bounding box of size smaller than property cEyeTrackerFilter::gaze_tolerance.

int isMonotonicX

0 - the X coordinates were not monotonic in horizontal direction, -1 - monotonically decreasing in horizontal direction, 1 - monotonically increasing (the maximum deviation from horizontal line is determined by cEyeTrackerFilter::tangential_coefs)

int isMonotonicY

0 - the Y coordinates were not monotonic in vertical direction, -1 - monotonically decreasing in horizontal direction, 1 - monotonically increasing

QRect region

Bounding box of mouse cursor trace.

QVector<sMousePos> trace

Mouse cursor trace, used only for debugging purposes.

The documentation for this struct was generated from the following file:

- eyetracker/ceyetrackerfilter.h